package jalview.gui;

import jalview.api.AlignExportSettingI;
import jalview.jbgui.GAlignExportSettings;

import java.awt.event.ActionEvent;

import javax.swing.JDialog;
import javax.swing.JInternalFrame;
import javax.swing.JOptionPane;

@SuppressWarnings("serial")
public class AlignExportSettings extends GAlignExportSettings implements
        AlignExportSettingI
{
  protected JInternalFrame frame;

  boolean cancelled = false;

  JDialog dialog;

  public AlignExportSettings(boolean hasHiddenSeq, boolean hasHiddenCols,
          String alignFileFormat)
  {
    super(hasHiddenSeq, hasHiddenCols, alignFileFormat);
    if (isShowDialog())
    {
      JOptionPane pane = new JOptionPane(null, JOptionPane.DEFAULT_OPTION,
              JOptionPane.DEFAULT_OPTION, null, new Object[]
              { this });
      dialog = pane.createDialog(Desktop.desktop, "Export Settings");
      dialog.pack();
      dialog.setVisible(true);
      dialog.setContentPane(this);
      dialog.validate();
    }
  }


  public void ok_actionPerformed(ActionEvent e)
  {
    cancelled = false;
    dialog.setVisible(false);
  }

  public void cancel_actionPerformed(ActionEvent e)
  {
    cancelled = true;
    dialog.setVisible(false);
  }

  @Override
  public boolean isExportHiddenSequences()
  {
    return chkHiddenSeqs.isSelected();
  }

  @Override
  public boolean isExportHiddenColumns()
  {
    return chkHiddenCols.isSelected();
  }

  @Override
  public boolean isExportAnnotations()
  {
    return chkExportAnnots.isSelected();
  }

  @Override
  public boolean isExportFeatures()
  {
    return chkExportFeats.isSelected();
  }

  @Override
  public boolean isExportGroups()
  {
    return chkExportGrps.isSelected();
  }

  public boolean isCancelled()
  {
    return cancelled;
  }

}
